searchNodes=[{"doc":"Discovergy is a simple wrapper for the Discovergy REST API, providing access to meters and measurements.Examplesiex&gt; {:ok, client} = Discovergy.Client.new() ...&gt; |&gt; Discovergy.Client.login(email, password) {:ok, %Discovergy.Client{}} iex&gt; Discovergy.Metadata.get_meters(client) {:ok, [%Discovergy.Meter{ administration_number: &quot;&quot;, current_scaling_factor: 1, first_measurement_time: 1563286659367, full_serial_number: &quot;1ESY1161229886&quot;, internal_meters: 1, last_measurement_time: 1593949473598, load_profile_type: &quot;SLP&quot;, location: %Discovergy.Location{ city: &quot;Greven&quot;, country: &quot;DE&quot;, street: &quot;Sedanstr.&quot;, street_number: &quot;8&quot;, zip: &quot;48268&quot; }, manufacturer_id: &quot;ESY&quot;, measurement_type: &quot;ELECTRICITY&quot;, meter_id: &quot;c1972a89ce3a4d58aadcb7908a1d31c7&quot;, scaling_factor: 1, serial_number: &quot;61229886&quot;, type: &quot;EASYMETER&quot;, voltage_scaling_factor: 1 }]}","ref":"Discovergy.html","title":"Discovergy","type":"module"},{"doc":"A Discovergy API Client","ref":"Discovergy.Client.html","title":"Discovergy.Client","type":"module"},{"doc":"Authenticate with the Discovergy API using the email address and password of the user.Examplesiex&gt; {:ok, client} = Discovergy.Client.new() ...&gt; |&gt; Discovergy.Client.login(email, password) {:ok, %Discovergy.Client{}}","ref":"Discovergy.Client.html#login/3","title":"Discovergy.Client.login/3","type":"function"},{"doc":"Creates a new Discovergy API client.Options:consumer - a custom consumer token (see Discovergy.OAuth.Consumer):token - a custom access token (see Discovergy.OAuth.AccessToken):base_url - the base URL for all endpoints (default: https://api.discovergy.com/public/v1):adapter - the Tesla adapter for the API client (default: Tesla.Adapter.Hackney)Examplesiex&gt; client = Discovergy.Client.new() %Discovergy.Client{}","ref":"Discovergy.Client.html#new/1","title":"Discovergy.Client.new/1","type":"function"},{"doc":"","ref":"Discovergy.Client.html#t:t/0","title":"Discovergy.Client.t/0","type":"opaque"},{"doc":"The Disaggregation endpoint","ref":"Discovergy.Disaggregation.html","title":"Discovergy.Disaggregation","type":"module"},{"doc":"Returns the activities recognised for the given meter during the given interval.Examplesiex&gt; Discovergy.Measurements.get_activities(client, meter_id, from, to) {:ok, [ %Discovergy.DisaggregationActivity{ activity_id: 77, begin_time: ~U[2019-07-16 02:13:24.000Z], end_time: ~U[2019-07-16 22:00:00.000Z], device_id: 1, device_name: &quot;BASE_LOAD-1&quot;, device_type: &quot;BASE_LOAD&quot;, energy: 16414633333 }, ... ]}","ref":"Discovergy.Disaggregation.html#get_activities/4","title":"Discovergy.Disaggregation.get_activities/4","type":"function"},{"doc":"Provides the disaggregated energy for the specified meter at 15 minute intervals.Examplesiex&gt; Discovergy.Disaggregation.get_energy_by_device_measurements( ...&gt; client, meter_id, from ...&gt; ) {:ok, [ %Discovergy.EnergyByDeviceMeasurement{ time: ~U[2020-07-01 22:15:00.000Z], energy_by_device: %{ &quot;Backofen-1&quot; =&gt; 0, &quot;Backofen-2&quot; =&gt; 0, &quot;Durchlauferhitzer-1&quot; =&gt; 0, &quot;Durchlauferhitzer-2&quot; =&gt; 0, &quot;Durchlauferhitzer-3&quot; =&gt; 0, &quot;Elektromobilität-1&quot; =&gt; 0, &quot;Grundlast-1&quot; =&gt; 232500000, &quot;Kühlschrank-1&quot; =&gt; 1433333, &quot;Kühlschrank-2&quot; =&gt; 0, &quot;Kühlschrank-3&quot; =&gt; 0, &quot;Spülmaschine-1&quot; =&gt; 0, &quot;Waschmaschine-1&quot; =&gt; 0 } }, ... ]}","ref":"Discovergy.Disaggregation.html#get_energy_by_device_measurements/4","title":"Discovergy.Disaggregation.get_energy_by_device_measurements/4","type":"function"},{"doc":"The Measurements endpoint","ref":"Discovergy.Measurements.html","title":"Discovergy.Measurements","type":"module"},{"doc":"Return the last measurement for the specified meter.Options:fields - list of measurement fields to return in the result (use Discovergy.Metadata.get_field_names/2 to get all available fields):each&quot; - Return data from the virtual meter itself (false) or all its sub-meters (true). Only applies if meterId refers to a virtual meterExamplesiex&gt; Discovergy.Measurements.get_last_reading(client, meter_id) {:ok, %Discovergy.Measurement{ time: ~U[2019-07-16 22:00:00.000Z], values: %{ &quot;energy&quot; =&gt; 441576730000, &quot;energyOut&quot; =&gt; 2154853000, &quot;power&quot; =&gt; 205980, &quot;power1&quot; =&gt; 63090, &quot;power2&quot; =&gt; 53780, &quot;power3&quot; =&gt; 89100, &quot;voltage1&quot; =&gt; 234100, &quot;voltage2&quot; =&gt; 234000, &quot;voltage3&quot; =&gt; 233800 } }}","ref":"Discovergy.Measurements.html#get_last_reading/3","title":"Discovergy.Measurements.get_last_reading/3","type":"function"},{"doc":"Return load profile for the given meter.Options:resolution - reading resolution. Possible values: :raw, :one_day, :one_month, :one_yearExamplesiex&gt; Discovergy.Measurements.get_load_profile(client, meter_id, ...&gt; ~D{2020-07-01}, ...&gt; ~D{2020-07-01}, ...&gt; resolution: :one_day) {:ok, [ %{ &quot;1.29&quot; =&gt; 0.816, &quot;2.29&quot; =&gt; 833.028, &quot;3.29&quot; =&gt; 179.376, &quot;4.29&quot; =&gt; 16.128, &quot;5.29&quot; =&gt; 9.06, &quot;6.29&quot; =&gt; 170.328, &quot;7.29&quot; =&gt; 12.744, &quot;8.29&quot; =&gt; 3.384, &quot;status&quot; =&gt; 0, &quot;time&quot; =&gt; 1593640800000 }, %{&quot;1.6.0&quot; =&gt; 0.96, &quot;time&quot; =&gt; 1593585000000}, %{&quot;2.6.0&quot; =&gt; 142.44, &quot;time&quot; =&gt; 1593601200000} ]}","ref":"Discovergy.Measurements.html#get_load_profile/5","title":"Discovergy.Measurements.get_load_profile/5","type":"function"},{"doc":"Return the raw, unmodified load profile file as sent by the specified RLM meter on the specified date.Examplesiex&gt; {:ok, profile} = ...&gt; Discovergy.Measurements.get_raw_load_profile(client, meter_id, ~D{2020-07-01}) {:ok, &lt;&lt;2, 80, 46, 48, 49, 40, 49, 50, 48, 48, 55, 48, 49, 48, 48, 49, 53, 48, 48, 41, 40, 48, 48, 48, 48, 48, 48, 48, 48, 41, 40, 49, 53, 41, 40, 56, 41, 40, 49, 46, 50, 57, 41, 40, 107, 87, 104, 41, ...&gt;&gt;} iex&gt; String.split(profile) [ &lt;&lt;2, 80, 46, 48, 49, 40, 49, 50, 48, 48, 55, 48, 49, 48, 48, 49, 53, 48, 48, 41, 40, 48, 48, 48, 48, 48, 48, 48, 48, 41, 40, 49, 53, 41, 40, 56, 41, 40, 49, 46, 50, 57, 41, 40, 107, 87, 104, 41, 40, ...&gt;&gt;, &quot;(0.0001)(0.0000)(0.0000)(0.0032)(0.0000)(0.0000)(0.0026)(0.0007)&quot;, &quot;(0.0000)(0.0000)(0.0000)(0.0035)(0.0000)(0.0000)(0.0029)(0.0005)&quot;, &quot;(0.0000)(0.0001)(0.0000)(0.0036)(0.0000)(0.0000)(0.0030)(0.0006)&quot;, ... ]","ref":"Discovergy.Measurements.html#get_raw_load_profile/3","title":"Discovergy.Measurements.get_raw_load_profile/3","type":"function"},{"doc":"Return the measurements for the specified meter in the specified time interval.Options:fields - list of measurement fields to return in the result (use Discovergy.Metadata.get_field_names/2 to get all available fields):resolution - time distance between returned readings. Possible values: :raw (default), :three_minutes, :fifteen_minutes, :one_hour, :one_day, :one_week, :one_month, :one_year: disaggregation - Include load disaggregation as pseudo-measurement fields, if available. Only applies if raw resolution is selected:each&quot; - Return data from the virtual meter itself (false) or all its sub-meters (true). Only applies if meterId refers to a virtual meterExamplesiex&gt; Discovergy.Measurements.get_readings(client, meter_id, from, to, ...&gt; resolution: :one_month) {:ok, [ %Discovergy.Measurement{ time: ~U[2019-07-16 22:00:00.000Z], values: %{ &quot;energy&quot; =&gt; 8069238602135, &quot;energy1&quot; =&gt; 0, &quot;energy2&quot; =&gt; 0, &quot;energyOut&quot; =&gt; 2033461000, &quot;energyOut1&quot; =&gt; 0, &quot;energyOut2&quot; =&gt; 0, &quot;power&quot; =&gt; 512286, &quot;power1&quot; =&gt; 189978, &quot;power2&quot; =&gt; 129660, &quot;power3&quot; =&gt; 192654, &quot;voltage1&quot; =&gt; 230469, &quot;voltage2&quot; =&gt; 231599, &quot;voltage3&quot; =&gt; 230247 } }, ... ]}","ref":"Discovergy.Measurements.html#get_readings/5","title":"Discovergy.Measurements.get_readings/5","type":"function"},{"doc":"Return various statistics calculated over all measurements for the specified meter in the specified time interval.Options:fields - list of measurement fields to return in the result (use Discovergy.Metadata.get_field_names/2 to get all available fields)Examplesiex&gt; Discovergy.Measurements.get_statistics(client, meter_id, from) {:ok, %{ &quot;energy&quot; =&gt; %{ &quot;count&quot; =&gt; 53962, &quot;maximum&quot; =&gt; 441687910000, &quot;mean&quot; =&gt; 420770138841.7405, &quot;minimum&quot; =&gt; 402102161000, &quot;variance&quot; =&gt; 1.430940674699829e20 }, &quot;energyOut&quot; =&gt; %{ ... }, &quot;power&quot; =&gt; %{ ... }, &quot;power1&quot; =&gt; %{ ... }, &quot;power2&quot; =&gt; %{ ... }, &quot;power3&quot; =&gt; %{ ... }, &quot;voltage1&quot; =&gt; %{ ... }, &quot;voltage2&quot; =&gt; %{ ... }, &quot;voltage3&quot; =&gt; %{ ... } }}","ref":"Discovergy.Measurements.html#get_statistics/5","title":"Discovergy.Measurements.get_statistics/5","type":"function"},{"doc":"The Metadata endpoint","ref":"Discovergy.Metadata.html","title":"Discovergy.Metadata","type":"module"},{"doc":"Returns the devices recognised for the given meter.Examplesiex&gt; Discovergy.Metadata.get_devices(client, meter_id) {:ok, [&quot;BASE_LOAD-1&quot;, &quot;DISHWASHER-1&quot;, &quot;ELECTRIC_VEHICLE-1&quot;, &quot;OVEN-1&quot;, &quot;OVEN-2&quot;, &quot;REFRIGERATOR-1&quot;, &quot;REFRIGERATOR-2&quot;, &quot;REFRIGERATOR-3&quot;, &quot;WASHING_MACHINE-1&quot;, &quot;WATER_HEATER-1&quot;, &quot;WATER_HEATER-2&quot;, &quot;WATER_HEATER-3&quot;]}","ref":"Discovergy.Metadata.html#get_devices/2","title":"Discovergy.Metadata.get_devices/2","type":"function"},{"doc":"Return the available measurement field names for the specified meter.Examplesiex&gt; Discovergy.Metadata.get_field_names(client, meter_id) {:ok, [&quot;energy&quot;, &quot;energy1&quot;, &quot;energy2&quot;, &quot;energyOut&quot;, &quot;energyOut1&quot;, &quot;energyOut2&quot;, &quot;power&quot;, &quot;power1&quot;, &quot;power2&quot;, &quot;power3&quot;, &quot;voltage1&quot;, &quot;voltage2&quot;, &quot;voltage3&quot;]}","ref":"Discovergy.Metadata.html#get_field_names/2","title":"Discovergy.Metadata.get_field_names/2","type":"function"},{"doc":"Return all meters that the user has access to.Examplesiex&gt; {:ok, meters} = Discovergy.Metadata.get_meters(client) {:ok, [%Discovergy.Meter{ meter_id: &quot;c1972a89ce3a4d58aadcb7908a1d31c7&quot;, serial_number: &quot;61229886&quot;, full_serial_number: &quot;1ESY1161229886&quot;, location: %Discovergy.Location{ city: &quot;Greven&quot;, country: &quot;DE&quot;, street: &quot;Sedanstr.&quot;, street_number: &quot;8&quot;, zip: &quot;48268&quot; }, administration_number: &quot;&quot;, type: &quot;EASYMETER&quot;, manufacturer_id: &quot;ESY&quot;, measurement_type: &quot;ELECTRICITY&quot;, scaling_factor: 1, current_scaling_factor: 1, voltage_scaling_factor: 1, internal_meters: 1, first_measurement_time: 1563286659367, last_measurement_time: 1593952103706, load_profile_type: &quot;SLP&quot; }]}","ref":"Discovergy.Metadata.html#get_meters/1","title":"Discovergy.Metadata.get_meters/1","type":"function"},{"doc":"The Virtual Meters endpoint","ref":"Discovergy.VirtualMeters.html","title":"Discovergy.VirtualMeters","type":"module"},{"doc":"Return the individual meters comprising the specified virtual meter.","ref":"Discovergy.VirtualMeters.html#create_virtual_meter/3","title":"Discovergy.VirtualMeters.create_virtual_meter/3","type":"function"},{"doc":"Return the individual meters comprising the specified virtual meter.","ref":"Discovergy.VirtualMeters.html#get_virtual_meter/2","title":"Discovergy.VirtualMeters.get_virtual_meter/2","type":"function"},{"doc":"The Webste Access Code endpoint","ref":"Discovergy.WebsiteAccessCode.html","title":"Discovergy.WebsiteAccessCode","type":"module"},{"doc":"Generates an access code that can be used to login a user into the Discovery Portal without the need of a password. This is useful e.g. to embed the Discovergy portal as an iframe into the partner's portal.The access code is only valid if the user to be logged in is the same user currently using the API or if the user currently using the API is the partner of the user to be logged in. The latter option to access the user of a partner is only available if enabled by Discovergy for a specific partner, please write to technical support if you need access. Please also note that the code returned is only valid for 3 hours, so it should not be cached but requested every time it is needed. When you received an access token, the portal can be accessed using the URL https://my.discovergy.com/?email=user@example.org&amp;code=abc123 (please replace user@example.org by the user name you want to login and abc123 by the access code you retrieved). This URL can be used as the src for an iframe in order to embed it into an existing web application.Examplesiex&gt; Discovergy.WebsiteAccessCode.generate(client, email) {:ok, &quot;2020060515c15010e31f803ed6f578efab3381c177db15e152f94be015bd938&quot;}","ref":"Discovergy.WebsiteAccessCode.html#generate/2","title":"Discovergy.WebsiteAccessCode.generate/2","type":"function"},{"doc":"","ref":"Discovergy.DisaggregationActivity.html","title":"Discovergy.DisaggregationActivity","type":"module"},{"doc":"","ref":"Discovergy.DisaggregationActivity.html#t:t/0","title":"Discovergy.DisaggregationActivity.t/0","type":"type"},{"doc":"","ref":"Discovergy.EnergyByDeviceMeasurement.html","title":"Discovergy.EnergyByDeviceMeasurement","type":"module"},{"doc":"","ref":"Discovergy.EnergyByDeviceMeasurement.html#t:t/0","title":"Discovergy.EnergyByDeviceMeasurement.t/0","type":"type"},{"doc":"","ref":"Discovergy.Location.html","title":"Discovergy.Location","type":"module"},{"doc":"","ref":"Discovergy.Location.html#t:t/0","title":"Discovergy.Location.t/0","type":"type"},{"doc":"","ref":"Discovergy.Measurement.html","title":"Discovergy.Measurement","type":"module"},{"doc":"","ref":"Discovergy.Measurement.html#t:t/0","title":"Discovergy.Measurement.t/0","type":"type"},{"doc":"","ref":"Discovergy.Meter.html","title":"Discovergy.Meter","type":"module"},{"doc":"","ref":"Discovergy.Meter.html#t:id/0","title":"Discovergy.Meter.id/0","type":"type"},{"doc":"","ref":"Discovergy.Meter.html#t:t/0","title":"Discovergy.Meter.t/0","type":"type"},{"doc":"A Discovergy Error","ref":"Discovergy.Error.html","title":"Discovergy.Error","type":"exception"},{"doc":"","ref":"Discovergy.Error.html#t:t/0","title":"Discovergy.Error.t/0","type":"type"}]